Skip to main content
CodivDocs

Get a deployment

Returns a single deployment with its full status, page counts, and timestamps. Useful for polling a deployment in progress.

GET/projects/{id}/deployments/{deploymentId}

Authorization

Requires: BearerAuth

Path parameters

idstring (uuid)pathrequired
Project UUID
deploymentIdstring (uuid)pathrequired
Deployment UUID

Response

200Deployment found

idstring (uuid)required
statusenum (queued, building, deployed...)required
commit_shastring
Git commit SHA that triggered the deployment
project_idstring (uuid)required
started_atstring (date-time)required
finished_atstring (date-time)
Null while the deployment is still in progress
pages_totalinteger
Total page count for this deployment
pages_failedinteger
Pages that failed during sync
pages_successinteger
Pages successfully synced

404Deployment not found

errorstringrequired
Machine-readable error code (e.g. `invalid_request`, `unauthorized`, `not_found`)
messagestringrequired
Human-readable error description
Get a deployment
curl --request GET \
  --url 'https://api.codivdocs.com/v1/projects/{id}/deployments/{deploymentId}' \
  --header 'Authorization: Bearer <token>'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "status": "queued",
  "commit_sha": "<string>",
  "project_id": "00000000-0000-0000-0000-000000000000",
  "started_at": "2026-04-13T03:26:01.609Z",
  "finished_at": "2026-04-13T03:26:01.609Z",
  "pages_total": 0,
  "pages_failed": 0,
  "pages_success": 0
}